public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-boxes/
Date: Sat, 14 Nov 2015 19:46:13 +0000 (UTC)	[thread overview]
Message-ID: <1447530337.c6013816a4dbd2de8e6a3776c29f621f4c9c341f.pacho@gentoo> (raw)

commit:     c6013816a4dbd2de8e6a3776c29f621f4c9c341f
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 14 19:28:48 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 19:45:37 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6013816

gnome-extra/gnome-boxes: Version bump

Package-Manager: portage-2.2.24

 gnome-extra/gnome-boxes/Manifest                  |   1 +
 gnome-extra/gnome-boxes/gnome-boxes-3.18.1.ebuild | 108 ++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/gnome-extra/gnome-boxes/Manifest b/gnome-extra/gnome-boxes/Manifest
index 6ecd51f..9368bd6 100644
--- a/gnome-extra/gnome-boxes/Manifest
+++ b/gnome-extra/gnome-boxes/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-boxes-3.14.3.1.tar.xz 1363088 SHA256 048df41ce1bcece1d89dfddcb571ed17dfa7f614929cd63f3079d14c66c10f24 SHA512 c714ff854f63832a2d0b6660378d36d5dfd99ece584a12ebe066cb58da6ee374287069d23a28f1966c343e68b5db25dbac5651031316bbe464f37a0746bf5822 WHIRLPOOL 18ec809438a64d7fa8e96a3bff9beece05c9312e2920bc5c10ca9efd8669b9b0eb1ace403d5252729da23735f3f9aec3f58be5a269df56a18bb9ca11e6f7d137
 DIST gnome-boxes-3.16.2.tar.xz 1604664 SHA256 f5fecb1ba0769e2a3dbec31e6149fffbcbd59946e4dbab31fb3ec28a16e41995 SHA512 40fcb79cedfa070e6beed905ec814caff2764361a9b5205e68dbe8b6bbdc737a550d1c1695446ac053813b77e24bb2a6087a2eca352c9d28d13c0655142454c0 WHIRLPOOL 37cfbaafdaa724eaee10485415dac5e16161a41bfbdca83f86b806bd3f0b6143900e30154939db481e546b0bd87db8d32e505f482e1bd1a0f81ec051936be7b5
+DIST gnome-boxes-3.18.1.tar.xz 1655760 SHA256 0235d7f76cf3faa3889b302c743d608759e84506657ed4e374592c39f768fb2b SHA512 eb8cd1c4dde02435f8ac0c02181e37e5523a2d67b5a2196d0ba6a1af798392a59ac3706879331cc969f8e74ec476b1be478592413383683a316e95934e02087b WHIRLPOOL 68c1dac4545e71d8902d3b2efaa6cbd074ed7f97fa5cc2263fe2e28b9e166f439208f78fc179f375b574e70e81895b82fd59be310638bdab984c2ffb7e8da60b

diff --git a/gnome-extra/gnome-boxes/gnome-boxes-3.18.1.ebuild b/gnome-extra/gnome-boxes/gnome-boxes-3.18.1.ebuild
new file mode 100644
index 0000000..0531741
--- /dev/null
+++ b/gnome-extra/gnome-boxes/gnome-boxes-3.18.1.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+VALA_USE_DEPEND="vapigen"
+VALA_MIN_API_VERSION="0.28"
+
+inherit linux-info gnome2 readme.gentoo vala
+
+DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
+HOMEPAGE="https://wiki.gnome.org/Apps/Boxes"
+
+LICENSE="LGPL-2"
+SLOT="0"
+
+# We force 'bindist' due to licenses from gnome-boxes-nonfree
+IUSE="smartcard usbredir" #bindist
+KEYWORDS="~amd64" # qemu-kvm[spice] is 64bit-only
+
+# NOTE: sys-fs/* stuff is called via exec()
+# FIXME: ovirt is not available in tree
+# FIXME: use vala.eclass but only because of libgd not being able
+#        to use its pre-generated files so do not copy all the
+#        vala deps like live ebuild has.
+RDEPEND="
+	>=app-arch/libarchive-3:=
+	>=dev-libs/glib-2.38:2
+	>=dev-libs/gobject-introspection-0.9.6:=
+	>=dev-libs/libxml2-2.7.8:2
+	>=sys-libs/libosinfo-0.2.12
+	>=app-emulation/qemu-1.3.1[spice,smartcard?,usbredir?]
+	>=app-emulation/libvirt-0.9.3[libvirtd,qemu]
+	>=app-emulation/libvirt-glib-0.2.2
+	>=x11-libs/gtk+-3.13.2:3
+	>=net-libs/gtk-vnc-0.4.4[gtk3]
+	>=net-misc/spice-gtk-0.27[gtk3,smartcard?,usbredir?]
+	virtual/libusb:1
+
+	>=app-misc/tracker-0.16:0=[iso]
+
+	>=sys-apps/util-linux-2.20
+	>=net-libs/libsoup-2.38:2.4
+
+	sys-fs/fuse
+	sys-fs/fuseiso
+	sys-fs/mtools
+	virtual/libgudev:=
+"
+#	!bindist? ( gnome-extra/gnome-boxes-nonfree )
+
+DEPEND="${RDEPEND}
+	$(vala_depend)
+	app-text/yelp-tools
+	dev-util/desktop-file-utils
+	>=dev-util/intltool-0.40
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM modules.
+If you have an Intel Processor, run:
+# modprobe kvm-intel
+
+If you have an AMD Processor, run:
+# modprobe kvm-amd"
+
+pkg_pretend() {
+	linux-info_get_any_version
+
+	if linux_config_exists; then
+		if ! { linux_chkconfig_present KVM_AMD || \
+			linux_chkconfig_present KVM_INTEL; }; then
+			ewarn "You need KVM support in your kernel to use GNOME Boxes!"
+		fi
+	fi
+}
+
+src_prepare() {
+	# Do not change CFLAGS, wondering about VALA ones but appears to be
+	# needed as noted in configure comments below
+	sed 's/CFLAGS="$CFLAGS -O0 -ggdb3"//' -i configure{.ac,} || die
+
+	vala_src_prepare
+	gnome2_src_prepare
+}
+
+src_configure() {
+	# debug needed for splitdebug proper behavior (cardoe), bug #????
+	gnome2_src_configure \
+		--enable-debug \
+		--disable-strict-cc \
+		$(use_enable usbredir) \
+		$(use_enable smartcard) \
+		--enable-ovirt=no
+}
+
+src_install() {
+	gnome2_src_install
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	gnome2_pkg_postinst
+	readme.gentoo_print_elog
+}


             reply	other threads:[~2015-11-14 19:46 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-14 19:46 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-16 11:28 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-boxes/ Pacho Ramos
2024-07-16 11:28 Pacho Ramos
2024-03-02 22:41 Mart Raudsepp
2024-02-10 18:53 Arthur Zamarin
2023-09-22  2:33 Matt Turner
2023-09-18 17:03 Matt Turner
2023-09-12 14:53 Matt Turner
2023-07-15 11:43 Arthur Zamarin
2023-05-30 15:53 Matt Turner
2023-05-02 19:02 Arthur Zamarin
2023-04-04 18:42 Matt Turner
2023-03-18  0:11 Matt Turner
2023-02-20 17:32 Matt Turner
2023-02-15  4:10 Matt Turner
2023-01-01 14:48 David Seifert
2022-12-23  0:19 Matt Turner
2022-10-30 22:29 Matt Turner
2022-10-29  2:54 Matt Turner
2022-07-07 16:01 Matt Turner
2022-07-02 20:47 Sam James
2022-05-30 19:50 Matt Turner
2022-03-27  3:54 Matt Turner
2022-01-13 22:34 Matt Turner
2022-01-05 16:44 Mart Raudsepp
2022-01-05 16:22 Mart Raudsepp
2021-10-04  1:25 Sam James
2021-07-29 20:58 Matt Turner
2021-07-08 17:35 Matt Turner
2021-06-06 21:49 Matt Turner
2021-05-29  9:02 Sam James
2021-05-03 16:24 Matt Turner
2021-04-28 16:27 Matt Turner
2020-12-18  9:00 Michał Górny
2020-08-30 18:09 Sam James
2020-08-09 13:26 Mart Raudsepp
2020-07-26 11:46 Mart Raudsepp
2020-04-04 13:05 Mart Raudsepp
2020-02-23 12:43 Mart Raudsepp
2019-08-23 19:33 Mart Raudsepp
2019-08-22 18:11 Mart Raudsepp
2019-05-18 20:46 Mart Raudsepp
2019-04-10 12:20 Mart Raudsepp
2019-04-09 21:09 Mikle Kolyada
2019-03-07 21:14 Mart Raudsepp
2019-02-15 13:42 Mart Raudsepp
2019-01-23 11:34 Mart Raudsepp
2019-01-23 11:34 Mart Raudsepp
2018-04-29  0:08 Mart Raudsepp
2018-04-26 22:32 Aaron Bauman
2018-04-15 11:00 Mart Raudsepp
2018-04-11 13:45 Mart Raudsepp
2018-02-03 22:00 Mart Raudsepp
2018-01-18  3:44 Mikle Kolyada
2017-08-11  7:18 Gilles Dartiguelongue
2017-04-02 14:05 Mart Raudsepp
2017-03-23  8:25 Mart Raudsepp
2016-11-23  8:13 Gilles Dartiguelongue
2016-11-13 11:39 Gilles Dartiguelongue
2016-11-09  8:28 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-06-25 16:53 Pacho Ramos
2016-06-25 16:53 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2016-03-06 18:58 Mikle Kolyada
2015-11-14 19:46 Pacho Ramos
2015-09-07 21:11 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1447530337.c6013816a4dbd2de8e6a3776c29f621f4c9c341f.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox